# $Revision: 1.6 $, $Date: 2011/07/01 14:26:35 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	local
%define	pnam	lib
Summary:	local::lib - create and use a local lib/ for perl modules with PERL5LIB
#Summary(pl.UTF-8):	
Name:		perl-local-lib
Version:	1.008004
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/A/AP/APEIRON/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6244fa9d77e818594acbaf572aece326
URL:		http://search.cpan.org/dist/local-lib/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
local::lib allows for the bootstrapping and usage of a directory
containing Perl modules outside of Perl's @INC. This makes it easier
to ship an application with an app-specific copy of a Perl module,
or collection of modules. Useful in cases like when an upstream
maintainer hasn't applied a patch to a module of theirs that you need
for your application.

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/local
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-local-lib.spec,v $
Revision 1.6  2011/07/01 14:26:35  marti
- up to 1.008004

Revision 1.5  2010/03/12 07:22:45  amateja
- updated to 1.005001

Revision 1.4  2009/11/11 17:59:39  amateja
- updated to 1.004009

Revision 1.3  2009/10/26 14:49:17  amateja
- updated to 1.004008

Revision 1.2  2009/10/08 11:42:00  amateja
- updated to 1.004007

Revision 1.1  2009/01/22 14:11:52  radek
- new

